import { ConfigClient, ConfigRequire, value } from '../src'


process['KT_ME_ENV'] = "test"
process['KT_ME_ENV_KEY'] = "c8b5dcf116a64b87bad4f1e000fbc2db"
process['KT_CONFIG_LOCAL_PATH'] = "D:/test"
process['KT_CONFIG_SERVER_URL'] = "https://mms-conf.keytop.cn/conf"

const configRequire: ConfigRequire = {
    version: '1.0',
    configCode: 'PC.test'
}

const client = new ConfigClient([configRequire]);
(
    async () => {
        await client.init();

        console.info('get function-->' + client.getConfig('config.test'))

        console.info(new Foo().config)

    }
)()



export class Foo {

    @value('config.test')
    config?: string

}